using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.HM
{
    [Description("作业分析人员表")]
    public class T_HM_ANALYSIS_PERSON : MesEntityBase
    {
        [Description("作业许可分析表ID")]
        [DataFieldForeignKey("Nav_LicenseAnalysis", "Nav_AnalysisPerson")]
        public Guid LICENSE_ANALYSIS_ID { get; set; }

        [Description("导航属性：作业许可分析表")]
        public virtual T_HM_LICENSE_ANALYSIS Nav_LicenseAnalysis { get; set; }

        [Description("人员ID")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        [Description("导航属性：人员")]
        public virtual T_FM_USER Nav_User { get; set; }

        [Description("处理状态")]
        [EnumName("FOUserShiftStatusEnum")]     //为枚举（0待处理 1已处理）
        public FOUserShiftStatusEnum DEAL_STATUS { get; set; }

        [Description("第一顺序识别人")]
        public bool IS_FIRST { get; set; }
    }
}
